# 
# Check to see if the machine is logging to a loghost of some sort
#

&pcheck("Central System Logging");

$loghost = 0;

if (open (SYSLOG, $syslog)) {
	while (<SYSLOG>) {
		if (/\s+\@/) { $loghost = 1; }
	}

	if ($loghost == 0) {
    		&report("WARNING:  This machine does not appear to be logging to a central\n",
    		"\tlog host.  Please verify that this should be set this way.\n");
    		&warn;
	} else {
		&passed;
	}

	close (SYSLOG);

} else {
	&report("ERROR:  Cannot open $syslog.\n");
	&error;
}

exit 0;
